helloapp/helloapp/urls.py
from django.conf.urls import url, include
from django.contrib import admin

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^', include('howdy.urls')),
]

helloapp/howdy/urls.py
from django.conf.urls import url
from howdy import views

urlpatterns = [
    url(r'^$', views.HomePageView.as_view()),
    url(r'^about/$', views.AboutPageView.as_view()), # Add this /about/ route
]

login/urls.py
from django.conf.urls import url
from django.contrib import admin
from django.contrib.auth import views as auth_views
from django.views.generic.base import TemplateView

urlpatterns = [
    url(r'^$', TemplateView.as_view(template_name='home.html'), name='home'),
    url(r'^login/$', auth_views.login, {'template_name': 'login.html'}, name='login'),
    url(r'^logout/$', auth_views.logout, {'template_name': 'logged_out.html'}, name='logout'),
]

mysite/mysite/urls.py
from django.urls import include, path
from django.contrib import admin

urlpatterns = [
    path('polls/', include('polls.urls')),
    path('admin/', admin.site.urls),
]

helloapp/howdy/models.py
from django.db import models

# Create your models here.

mysite/polls/models.py
from django.db import models


class Question(models.Model):
    question_text = models.CharField(max_length=200)
    pub_date = models.DateTimeField('date published')
    def __str__(self):
        return self.question_text
    def was_published_recently(self):
        return self.pub_date >= timezone.now() - datetime.timedelta(days=1)


class Choice(models.Model):
    question = models.ForeignKey(Question, on_delete=models.CASCADE)
    choice_text = models.CharField(max_length=200)
    votes = models.IntegerField(default=0)
    def __str__(self):
        return self.choice_text

helloapp/howdy/views.py
from django.shortcuts import render
from django.views.generic import TemplateView

class HomePageView(TemplateView):
    def get(self, request, **kwargs):
        return render(request, 'index.html', context=None)

# Add this view
class AboutPageView(TemplateView):
    template_name = "about.html"

helloapp/howdy/templates/TestSubtype.html
{% block branding %}
<h1 id="site-name"><a href="{% url 'admin:index' %}">Polls Administration</a></h1>
{% endblock %}
<h1>{{ index.question_text }}</h1>

{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

<form action="{% url 'howdy:vote' test.id %}" method="post">
{% csrf_token %}
{% for TestSubtype in test.choice_set.all %}
    <input type="radio" name="TestSubtype" id="TestSubtype{{ forloop.counter }}" value="{{ TestSubtype.id }}" />
    <label for="TestSubtype{{ forloop.counter }}">{{ TestSubtype.choice_text }}</label><br />
    {% empty %}
        <p>Sorry, no available choices.</p>
    {% endfor %}
<input type="submit" value="Vote" />
</form>

helloapp/howdy/templates/about.html
<!-- howdy/templates/about.html -->
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Howdy!</title>
    </head>
    <body>
        <h1>Welcome to the about page</h1>
    <p>
    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc quis neque ex. Donec feugiat egestas dictum. In eget erat sit amet elit pellentesque convallis nec vitae turpis. Vivamus et molestie nisl. Aenean non suscipit velit. Nunc eleifend convallis consectetur. Phasellus ornare dolor eu mi vestibulum, ornare tempus lacus imperdiet. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque ut sem ligula. Mauris volutpat vestibulum dui in cursus. Donec aliquam orci pellentesque, interdum neque sit amet, vulputate purus. Quisque volutpat cursus nisl, in volutpat velit lacinia id. Maecenas id felis diam. 
    </p>
    <a href="/">Go back home</a>
    </body>
</html>

helloapp/howdy/templates/detail.html
{% block branding %}
<h1 id="site-name"><a href="{% url 'admin:index' %}">Polls Administration</a></h1>
{% endblock %}
<h1>{{ index.question_text }}</h1>

{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

<form action="{% url 'howdy:vote' index.id %}" method="post">
{% csrf_token %}
{% for about in index.choice_set.all %}
    <input type="radio" name="about" id="about{{ forloop.counter }}" value="{{ about.id }}" />
    <label for="about{{ forloop.counter }}">{{ about.choice_text }}</label><br />
    {% empty %}
        <p>Sorry, no available choices.</p>
    {% endfor %}
<input type="submit" value="Vote" />
</form>

helloapp/howdy/templates/index.html
<!-- howdy/templates/index.html -->
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Howdy!</title>
    </head>
    <body>
        <h1>Howdy! I am Learning Django!</h1>
     <a href="/about/">About Me</a>
    </body>
</html>

helloapp/howdy/templates/index1.html
<!-- howdy/templates/index.html -->
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Howdy!</title>
    </head>
    <body>
        <h1>Howdy! I am Learning Django!</h1>
     <a href="/about/">About Me</a>
    </body>
</html>

helloapp/howdy/templates/results.html
{% block branding %}
<h1 id="site-name"><a href="{% url 'admin:index' %}">Polls Administration</a></h1>
{% endblock %}

<h1>{{ index.question_text }}</h1>

<ul>
{% for about in index.choice_set.all %}
    <li>{{ about.choice_text }} -- {{ about.votes }} vote{{ about.votes|pluralize }}</li>
{% endfor %}
</ul>

<a href="{% url 'howdy:detail' index.id %}">Vote again?</a>

helloapp/howdy/templates/test.html
<!-- howdy/templates/index.html -->
{% load static %}

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Howdy!</title>
    </head>
    <body>
      {% block branding %}
      <h1 id="site-name"><a href="{% url 'admin:index' %}">Polls Administration</a></h1>
      {% endblock %}

      {% if test_list %}
          <ul>
          {% for test in test_list %}
            <li><a href="{% url 'howdy:TestSubtype' test.id %}">{{ test.test_text }}</a></li>
          {% endfor %}
          </ul>
      {% else %}
          <p>No polls are available.</p>
      {% endif %}

    </body>
</html>